package cn.com.countrygarden.bi.main.model.dmn;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;
import java.io.Serializable;

/**
 * @program: lingshi
 * @description:
 * @author: bug大神
 * @create: 2024-07-24 16:49
 **/
@Table(name = "dnm_table")
public class DnmTable implements Serializable {
    private static final long serialVersionUID = -36167348116975463L;
    @Id
    @Column(name = "id")
    private Integer id;
    @Column(name = "type")
    private String type;
    @Column(name = "defalg")
    private String defalg;
    @Column(name = "create_time")
    private Date createtime;
    @Column(name = "update_time")
    private Date updatetime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDefalg() {
        return defalg;
    }

    public void setDefalg(String defalg) {
        this.defalg = defalg;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

}

